Subject: Re: bug#12841: Make for AIX 8.20 fails with undefined symbol .rpl_malloc

From: Paul Eggert <[email-masked]>
Date: Tue, 13 Nov 2012 07:46:35 -0800

On 11/12/2012 11:00 PM, Bernhard Voelker wrote:
> I'm not sure, but shouldn't the prime list src/primes.h depend
> on src/make-prime-list?

I'd rather not do that, since that would mean every builder
would have to build src/primes.h, and I'd rather that people used
the one that's in the tarball, as this avoids a build step
where things might go wrong (as they did in your case).

Your problem arose because you have leftover files from an
older git revision.  To fix it, remove src/primes.h and
then rebuild.

> Furthermore, shouldn't src/primes.h be included in .gitignore?

Right you are.  I pushed this:

>From be3f34ff34c6b34adf86eeb5e21dd7b86fdbe58f Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Tue, 13 Nov 2012 07:43:08 -0800
Subject: [PATCH] factor: cleanup for primes.h

* .gitignore: Add src/primes.h back, since it's no longer
in the repository.
---
 .gitignore | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.gitignore b/.gitignore
index 2ac6e45..5ce2361 100644
--- a/.gitignore
+++ b/.gitignore
@@ -154,6 +154,7 @@
 /po/stamp-po
 /src/cu-progs.mk
 /src/make-prime-list
+/src/primes.h
 /src/version.c
 /src/version.h
 /stamp-h1
-- 
1.7.11.7